/*
 *
 * Copyright (C) 8 sept. 2003  Jean-Yves Beaujean 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,  59
 * Temple Place - Suite 330, Boston, MA 02111-1307, USA.

 * 
 */
package jxtray.swing;

import javax.swing.JComboBox;


import jxtray.Jxtray;




public class JxtComboBox extends JComboBox 
{
		public JxtComboBox()
		{
			super();
			this.setFont(Jxtray.getFont());
		}
		
		public JxtComboBox(String content[])
		{
			super(content);
			this.setFont(Jxtray.getFont());
		}	
		
		public JxtComboBox(Object content[])
		{
			super(content);
			this.setFont(Jxtray.getFont());
		}
		

}
