/*
 *
 * Copyright (C)  2-mar-2003 Jean-Yves Beaujean 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,  59
 * Temple Place - Suite 330, Boston, MA 02111-1307, USA.

 * 
 */
package jxtray.swing;

import javax.swing.tree.DefaultMutableTreeNode;


public class TreeConnectionElement extends DefaultMutableTreeNode
{
	public static final int NODE_DRIVER = 0 ;
	public static final int NODE_JDBCURL = 1 ;
	public static final int NODE_USER = 2 ;
	public static final int NODE_CONNECTION_CLOSE = 3 ;
	public static final int NODE_CONNECTION_OPEN = 4 ;
	public static final int NODE_ROOT = 5 ;
	
	private int type = NODE_CONNECTION_CLOSE;
	
	public TreeConnectionElement( String value, int type)
	{
			super(value);
			this.type = type;
	}
	
	public int getType() { return type; }
	public void setType(int t)
	{
		type = t;
	}
	
	
}
