/*
*
* Copyright (C)  22-avr-2004 Jean-Yves Beaujean
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 2 of the License, or (at your option)
* any later version.
* This program is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
* more details.
* You should have received a copy of the GNU General Public License along with
* this program; if not, write to the Free Software Foundation, Inc.,  59
* Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*
*/
package jxtray.util;

import java.awt.Dimension;
import javax.swing.JDialog;
import javax.swing.JWindow;
import javax.swing.JFrame;
import java.awt.Toolkit;

/**
 * @author jybe
 *
 * To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
public class UIUtilities 
{
	
	public static void center( JDialog target )
	  {
				Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
				Dimension frameSize = target.getSize();

				if (frameSize.height > screenSize.height)
					  frameSize.height = screenSize.height;
				if (frameSize.width > screenSize.width)
					  frameSize.width = screenSize.width;
				target.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
		}
		
		public static void center( JFrame target )
		{
			Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
			Dimension frameSize = target.getSize();

			if (frameSize.height > screenSize.height)
				frameSize.height = screenSize.height;
			if (frameSize.width > screenSize.width)
				frameSize.width = screenSize.width;
			target.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
		}
		
		public static void center( JWindow target )
		{
			Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
			Dimension frameSize = target.getSize();

			if (frameSize.height > screenSize.height)
				frameSize.height = screenSize.height;
			if (frameSize.width > screenSize.width)
				frameSize.width = screenSize.width;
			target.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
		}	
}
