/*
 *
 * Copyright (C)  13-janv-2003 Jean-Yves Beaujean 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,  59
 * Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
package jxtray;


public class JxtrayConstants 
{

	public static final int MAX_ROW_SELECT = 5000;
	
	/** Version */
	public static final String VERSION = "0.5";
	/** Author */
	public static final String AUTHOR = "Jean-Yves Beaujean";
	/** XML Parser name */
	public static final String XMLPARSER ="org.apache.xerces.parsers.SAXParser";
	/** App Name */
	public static final String APPNAME = "jxtray";	
  
	/** SQL history file */
	public static final String SQL_HISTORY = "sqlhistory";

	/** Supported Languages */
	public static final String SUPPORTED_LANGUAGES[] = {"fr","en"};
	/** Supported LookAndFeel */
	public static final String SUPPORTED_LOOKNFEEL[] = {"javax.swing.plaf.metal.MetalLookAndFeel","com.sun.java.swing.plaf.motif.MotifLookAndFeel","com.sun.java.swing.plaf.windows.WindowsLookAndFeel","com.incors.plaf.kunststoff.KunststoffLookAndFeel"};
	/** Supported Font */
	public static final String SUPPORTED_FONT[] = {"dialog","serif"};
	/** Supported Font Size */
	public static final String SUPPORTED_FONTSIZE[] = {"8","9","10","11","12","14","16"};	
	/** Supported SQL Comment char */
	public static final String SUPPORTED_SQLCOMMENT[] = {"#","/","!"};
	/** Supported Dump formats */
	public static final String SUPPORTED_DUMPFORMAT[] = {"CSV","SQL","HTML","XML"};

	
	
}
