/*
 * Copyright (C)   20 dec. 2003 Jean-Yves Beaujean 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,  59
 * Temple Place - Suite 330, Boston, MA 02111-1307, USA.

 */


package jxtray.gui;

import java.awt.*;
import javax.swing.*;

import jxtray.Jxtray;
import jxtray.JxtrayConstants;


public class AboutDialog extends JDialog
{
  public AboutDialog(JFrame frame)
  {
    	super(frame,Jxtray.getLang("dialog.about.title"),true);
	    try
    	{
			this.getContentPane().setLayout(new BorderLayout() );
			this.getContentPane().add(new JLabel(JxtrayConstants.AUTHOR,SwingConstants.CENTER), BorderLayout.NORTH);
			this.getContentPane().add(new JLabel(new ImageIcon(getClass().getResource("/images/splashscreen.gif"))), BorderLayout.CENTER);
			this.pack();
    	}
    	catch(Exception ex)
    	{
      		ex.printStackTrace();
    	}
    	
  }

}