/*
 *
 * Copyright (C) 11 fev. 2003  Jean-Yves Beaujean 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,  59
 * Temple Place - Suite 330, Boston, MA 02111-1307, USA.

 * 
 */
package jxtray.gui;

import javax.swing.JDialog;
import javax.swing.JFrame;

import javax.swing.JScrollPane;

import java.awt.BorderLayout;

import jxtray.Jxtray;

import jxtray.table.PropertiesTable;
import java.util.Properties;


public class ConnectionPropertiesDialog extends JDialog
{
		public ConnectionPropertiesDialog(JFrame frame, Properties p, String name)
		{
			super(frame, Jxtray.getLang("dialog.conproperties.title")+ "  "+ name, false);
			this.getContentPane().setLayout(new BorderLayout());
			this.getContentPane().add(new JScrollPane(new PropertiesTable(p) ),BorderLayout.CENTER);
			
			this.pack();
		}
		
		
}
