 /*
 * Copyright (C) 06-arv.-2004 Jean-Yves Beaujean 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,  59
 * Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * 
 */
package jxtray.util;

//import java.lang.Math;

public class TimeUtilities 
{
	
	/** Display a number of seconds in this format : xxH xxmin xxsec. */
	public static String smartTime(double sec)  
	{
		StringBuffer _smartTime = new StringBuffer();
        int h =0, min = 0 ;
        h = (int)(sec/3600);
        sec -= (h*3600);
        min = (int)(sec/60);
        sec -= (min*60);
		
		if ( h > 0)
		_smartTime.append(h).append("H. ");
		if ( min > 0)
		_smartTime.append(min).append(" min. ");
		
		_smartTime.append(sec).append(" sec.");
		
		return _smartTime.toString();
	}
}
